Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
47c1

Xin hỏi về lệnh Fillet trong cad

Các bài được khuyến nghị

Em xin hỏi khi dùng lệnh F thì màu sắc và tính chất là theo đường dài hơn.

Vậy muốn F mà tính chất của đường cuối cùng giống như của đường mà mình muốn chọn có cách nào ko ạ?

Ví dụ em rất muốn có cùng tính chất với đường được chọn trước.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em xin hỏi khi dùng lệnh F thì màu sắc và tính chất là theo đường dài hơn.

Vậy muốn F mà tính chất của đường cuối cùng giống như của đường mà mình muốn chọn có cách nào ko ạ?

Ví dụ em rất muốn có cùng tính chất với đường được chọn trước.

Bạn hỏi câu hỏi mà chính cad nó đã mặc định như vậy. Bạn đọc trong tài liệu nào mà khi fillet thì lấy thuộc tính của đối tượng dài hơn vậy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạm thời thì bạn dùng lệnh FL này để thay thế cho Fillet của Cad nhé :lol: .Sau khi fillet,đối tượng sau sẽ lấy layer đối tượng trước.Chứ còn mặc định thì sau khi fillet,các thuộc tính của đối tượng vẫn giữ nguyên thì phải :lol:

 

;;;CadViet ^^
(defun flerr (s)
  (if (not (member s '("console break" "Function cancelled")))
     (princ (strcat "\nError: " s "\nResetting Variables."))
  )
  (setvar "filletrad" FROLD)
  (setvar "cmdecho" 1)
  (setq *error* oldflerr)
  (princ)
) 

(defun c:FL (/ ET1 ET2 ET3 LA1 LA2)
  (setq oldflerr *error* *error* flerr)
  (setvar "cmdecho" 0)
  (setq FROLD (getvar "filletrad"))
  (if (= #RAD nil)
     (or
        (setq #RAD (getdist "\nSet Fillet Radius : "))
        (setq #RAD 0)
     )
     (progn
        (setq #RAD2 #RAD)
        (or
           (setq #RAD (getdist (strcat "\nSet Fillet Radius : ")))
           (setq #RAD #RAD2)
        )
     )
  )
  (setvar "filletrad" #RAD)
  (while (= ET3 nil)
     (setq ET1 (entsel "\nSelect First entity on layer you want to use: "))
     (while (= ET1 nil)
        (setq ET1 (entsel "\nMissed. [ESC to Quit] - First entity: "))
     )
     (setq LA1 (cdr (assoc 8 (entget (car ET1)))))
     (setq ET2 (entsel "\nSecond entity: "))
     (while (= ET2 nil)
        (setq ET2 (entsel "\nMissed. [ESC to Quit] - Second entity: "))
     )
     (setq LA2 (cdr (assoc 8 (entget (car ET2)))))
     (if (/= LA1 LA2)
        (command "change" ET2 "" "p" "la" LA1 "")
     )
     (command "fillet" ET1 ET2)
     (setq ET1 nil ET2 nil)
     (redraw)
  )
  (setvar "filletrad" FROLD)
  (setvar "cmdecho" 1)
  (setq *error* oldflerr)
  (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em xin hỏi khi dùng lệnh F thì màu sắc và tính chất là theo đường dài hơn.

Vậy muốn F mà tính chất của đường cuối cùng giống như của đường mà mình muốn chọn có cách nào ko ạ?

Ví dụ em rất muốn có cùng tính chất với đường được chọn trước.

bạn cho đường ngắn là Pline còn đường dài là line thì nó sẽ theo đường ngắn mà bạn chọn(bất kể bạn chọn Fi đối tượng nào trước)

hoặc khi bạn muốn F nhiều đối tượng mà muốn đối tượng cuối cùng giống như đối tượng đầu bạn chọn thì bạn cũng làm như thế

tức là đối tượng đầu là PLine cứ thế Fi cho đến hết thì nó sẽ theo đt đầu tiên

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×